Bug 520368 - [Match BZ34 DB change]:Remove column products.disallownew
Summary: [Match BZ34 DB change]:Remove column products.disallownew
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: XINSUN
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 520358
TreeView+ depends on / blocked
 
Reported: 2009-08-31 07:22 UTC by XINSUN
Modified: 2009-12-25 05:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-25 05:31:40 UTC


Attachments (Terms of Use)

Description XINSUN 2009-08-31 07:22:50 UTC
Description of problem:

DB change:     Remove column products.disallownew
Incidence:     (grep disallownew * -r -C4)

     globals.pl-                                # shown to the user.  So we cache all the data
     globals.pl-                                # about them anyway.
     globals.pl-
     globals.pl-    my $mpart = $dotargetmilestone ? ", milestoneurl" : "";
     globals.pl:    SendSQL("select name, description, votesperuser, disallownew$mpart from products ORDER BY name");
     globals.pl-    while (@line = FetchSQLData()) {
     globals.pl-        my ($p, $d, $votesperuser, $dis, $u) = (@line);
     globals.pl-        $::proddesc{$p} = $d;
     globals.pl-        if (!$dis && scalar($::components{$p})) {
     
    Analysis: Above line are in function GetVersionTable() invoked by post.cgi,process.cgi.. It should be modified when bz3.4 push ]

Comment 2 David Lawrence 2009-09-02 16:21:22 UTC
Just to clarify, products.disallownew has been dropped in BZ 3.4, a new column has replaced it called products.isactive which accomplishes the same thing. So 
you need to check for products.isactive = 1 when forming a list of products that the user can enter a bug(cert) against.

Dave


Note You need to log in before you can comment on or make changes to this bug.